function [timeMeshMs] = makeTimeMesh(clickDBtimeMs)
    
    firstDB = clickDBtimeMs(1);
    lastDB = clickDBtimeMs(end);
    noDB = size(clickDBtimeMs,1);
    
    meanDBms = (lastDB - firstDB ) / (noDB-1);
    
    timeMeshMs = zeros(size(clickDBtimeMs,1),1);
    
    timeMeshMs(1) = firstDB;
    timeMeshMs(end) = lastDB;
    
    for i = 2 : noDB -1
        timeMeshMs(i) = firstDB + meanDBms*(i-1);
    end
    
end


%{

timeMeshAdj = adjustTimeMesh(clickDBtimeMs, 1, 0.001);

rT =  timeMeshMs + 2*rand(size(timeMeshMs,1),1);

rT = rT + 200*sin(pi*timeMeshMs/size(timeMeshMs,1));

rT(1) = timeMeshMs(1);
rT(end) = timeMeshMs(end);

figure(10);clf;
line([rT timeMeshMs],[1 2]);
ax = axis;
axis([ax(1) ax(2) 0 3]);
grid on
line([timeMeshMs timeMeshAdj],[2 3]);







%}
